/*=====================================================================
  
  This file is part of the Autodesk PLM 360 API Code Samples.

  Copyright (C) Autodesk Inc.  All rights reserved.

THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.
=====================================================================*/

package com.autodesk.plm360.photoAttach;


import android.graphics.Bitmap;
import android.util.Log;
import android.view.View;
import android.webkit.WebView;
import android.webkit.WebViewClient;

public class AuthWebClient extends WebViewClient 
{
	private LoginActivity m_activity;
	
	public AuthWebClient(String requestToken, String requestSecret, LoginActivity activity)
	{
		m_activity = activity;
	}
	
    @Override
    public void onReceivedError(final WebView view, final int errorCode, final String description,
        final String failingUrl) {

      Log.e("Error ", description + "(" + failingUrl + ")");

    }

    @Override
    public void onPageStarted(final WebView view, String url, final Bitmap favicon) {
      Log.i("onPageStarted", url);
    }

    @Override
    public void onPageFinished(final WebView view, String url) {
      Log.i("onPageFinished", url);

      if (url.startsWith(LoginActivity.OXYGEN_SERVER + "/OAuth/Allow"))
      {
    	  view.setVisibility(View.GONE);
    	  
	      // view.loadUrl("javascript:window.HTMLOUT.processHTML('<head>'+document.getElementsByTagName('html')[0].innerHTML+'</head>');");
	      view.loadUrl("javascript:window.INPUTVALUE.processHTML(document.getElementsByTagName('input')[0].value);");
      }
    }

    public void processHTML(final String html) 
    {
    	if (html == null || html.trim().isEmpty())
    		return;
    	
    	Log.i("Verifier:", html);
    	
    	m_activity.onLoginCompleted(html);
    }
}

