/*=====================================================================
  
  This file is part of the Autodesk PLM 360 API Code Samples.

  Copyright (C) Autodesk Inc.  All rights reserved.

THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.
=====================================================================*/

package com.autodesk.plm360.photoAttach;

import org.apache.http.client.HttpClient;
import org.apache.http.protocol.HttpContext;

import com.autodesk.plm360.photoAttach.payloads.Workspace;
import com.sun.jersey.api.client.Client;

public class SessionState {

	private HttpClient httpClient;
	private HttpContext localContext;
	private Client jerseyClient;
	
	private static SessionState m_instance;
	
	private SessionState() {}
	
	public static SessionState instance() 
	{
		if (m_instance == null)
			m_instance = new SessionState();
		return m_instance;
	}

	public HttpClient getHttpClient() {
		return httpClient;
	}

	public void setHttpClient(HttpClient httpClient) {
		this.httpClient = httpClient;
	}

	public HttpContext getLocalContext() {
		return localContext;
	}

	public void setLocalContext(HttpContext localContext) {
		this.localContext = localContext;
	}

	public Client getJerseyClient() {
		return jerseyClient;
	}

	public void setJerseyClient(Client jerseyClient) {
		this.jerseyClient = jerseyClient;
	}
}
